%global commit ab7bd7314d04e40037cc936e492f4b08033c43fb
%global short_commit %(c=%{commit}; echo ${c:0:7})
%global commit_date 20150904

Name:           ktikz
Version:        0.11
Release:        0.2.%{commit_date}git%{short_commit}%{?dist}
Summary:        KDE Editor for the TikZ language

Group:          Applications/Publishing
# ktikz/qtikz are GPLv2+, documentation is GFDL
License:        GPLv2+ and GFDL
URL:            http://www.hackenberger.at/blog/ktikz-editor-for-the-tikz-language
Source0:        https://github.com/fhackenberger/%{name}/archive/%{short_commit}/%{name}-%{short_commit}.tar.gz
# Fix some definitions in cmake (see
# https://github.com/jfmcarreira/ktikz/commit/1ede3a0)
Patch0:         %{name}-0.11-cmake.patch
# Use xdg-open instead of kwrite as defaut editor in qtikz
Patch1:         %{name}-0.11-default_editor.patch
# Fix PGF manual path
Patch2:         %{name}-0.11-pgfmanual.patch
# Fix build on ARM
Patch3:         %{name}-0.11-arm.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  libappstream-glib
BuildRequires:  poppler-qt4-devel
Requires:       kate4-part
%{?kde_runtime_requires}
# Required to display help
Requires:       khelpcenter
# pdftops required by ktikz
Requires:       poppler-utils
Requires:       tex(preview.sty)
Requires:       tex(pgf.sty)
Requires:       tex(tikz.sty)
# Required to display PGF documentation
Requires:       tex-pgf-doc
Requires:       xdg-utils

%description
KTikZ is a small application to assist in the creation of diagrams and drawings
using the TikZ macros from the LaTeX package "pgf". It consists of a text editor
pane in which the TikZ code for the drawing is edited and a preview pane showing
the drawing as rendered by LaTeX. The preview pane can be updated in
real-time. Common drawing tools, options and styles are available from the menus
to assist the coding process.

This package contains the KDE version of the program.


%package -n qtikz
Summary:        Editor for the TikZ language
# pdftops required by qtikz
Requires:       poppler-utils
# Required to display help
Requires:       qt-assistant
Requires:       tex(preview.sty)
Requires:       tex(pgf.sty)
Requires:       tex(tikz.sty)
# Required to display PGF documentation
Requires:       tex-pgf-doc
Requires:       xdg-utils

%description -n qtikz
QTikZ is a small application to assist in the creation of diagrams and drawings
using the TikZ macros from the LaTeX package "pgf". It consists of a text editor
pane in which the TikZ code for the drawing is edited and a preview pane showing
the drawing as rendered by LaTeX. The preview pane can be updated in
real-time. Common drawing tools, options and styles are available from the menus
to assist the coding process.

This package contains the Qt version of the program.


%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1 -b .cmake
%patch1 -p1 -b .default_editor
%patch2 -p1 -b .pgfmanual
%patch3 -p1 -b .arm


%build
# Build ktikz
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

# Build qtikz
%{qmake_qt4}
make %{?_smp_mflags}


%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT
# Install KDE integration
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde

install -Dpm 0644 data/%{name}.appdata.xml $RPM_BUILD_ROOT/%{_datadir}/appdata/%{name}.appdata.xml
# Since no AppData file is provided for qtikz, create one from the one for ktikz
sed \
    "s|ktikz\.desktop|qtikz.desktop|g; s|KtikZ|QtikZ|g" \
    data/%{name}.appdata.xml >$RPM_BUILD_ROOT/%{_datadir}/appdata/qtikz.appdata.xml


%check
desktop-file-validate $RPM_BUILD_ROOT/%{_kde4_datadir}/applications/kde4/%{name}.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/qtikz.desktop

appstream-util validate-relax --nonet $RPM_BUILD_ROOT/%{_datadir}/appdata/*.appdata.xml


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor/ &>/dev/null || :
touch --no-create %{_datadir}/mime/packages/ &> /dev/null || :


%post -n qtikz
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/mime/packages/ &> /dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor/ &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor/ &>/dev/null || :
  touch --no-create %{_datadir}/mime/packages &> /dev/null || :
  update-mime-database %{_datadir}/mime &> /dev/null || :
fi


%postun -n qtikz
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/mime/packages &> /dev/null || :
  update-mime-database %{_datadir}/mime &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor/ &>/dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%posttrans -n qtikz
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%doc Changelog README.md TODO
%license LICENSE.FDL1.2 LICENSE.GPL2
%{_kde4_bindir}/%{name}
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/config.kcfg/%{name}.kcfg
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.*
%{_kde4_appsdir}/%{name}/
%{_kde4_appsdir}/%{name}part/
%{_kde4_datadir}/kde4/services/%{name}part.desktop
%{_kde4_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.*


%files -n qtikz
%doc Changelog README.md TODO
%license LICENSE.FDL1.2 LICENSE.GPL2
%{_bindir}/qtikz
%{_datadir}/applications/qtikz.desktop
%{_datadir}/mime/packages/qtikz.xml
%{_datadir}/qtikz/
%{_datadir}/appdata/qtikz.appdata.xml
%{_mandir}/man1/qtikz.1.*


%changelog
* Thu Feb 11 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.11-0.2.20150904gitab7bd73
- Fix build on ARM

* Wed Feb 10 2016 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.11-0.1.20150904gitab7bd73
- Update to latest snapshot
- Spec cleanup

* Wed Feb 03 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.10-17
- use %%qmake_qt4 macro to ensure proper build flags

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.10-15
- Rebuilt for GCC 5 C++11 ABI change

* Sat Jan 31 2015 Rex Dieter <rdieter@fedoraproject.org> 0.10-14
- Requires: kate4-part, kde-apps cleanup

* Mon Aug 18 2014 Rex Dieter <rdieter@fedoraproject.org> 0.10-13
- update mime scriptlets

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 0.10-7
- Rebuild (poppler-0.20.0)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 15 2011 Rex Dieter <rdieter@fedoraproject.org> 0.10-5
- ktikz: Requires: kate-part (#744443)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.10-4
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.10-3
- Rebuild (poppler-0.17.0)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 12 2010 Mohamed El Morabity <melmorabity@fedoraproject.org> 0.10-1
- Initial RPM release
